QGIS Application - Bug report #20867
QGIS 3.4.2 - Extension disabled because it caused QGIS to crash
2018-12-21 06:35 PM - Fabien WI

Status: Rejected

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.4.2 Regression?: Yes
Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corruptsdata: Copied to github as #: 28686
Description

Hello, | just freshly installed the new QGIS 3.4.2 but | encountered an error with the "go2streetview" plugin.
When | activate this plugin | have a Window pop-up error which states:

"This Windows version (6.3.9600) does not support the required Bluetooth API. Consider updating to a more recent Windows (10.0.10586
or above)"

It seems that this issue is related to a pyQT5 version.. (see related issue here:https://github.com/winpython/winpython/issues/592)

| opened an error on the bugtracker page of the plugin (https://github.com/enricofer/go2streetview/issues/41)

but a developper stated that this issue should be fixed ultimately in QGIS or the pyQT dependency and recommended to open an issue
here

Thanks for your help

PS: everything runs fine with this extension in QGIS 3.2.3

History

#1 - 2018-12-31 01:00 PM - Alexander Bruy
- Resolution set to up/downstream

- Status changed from Open to Rejected

Please file bugreport in the plugin bugtracker, as QGIS itself does not requires Bluetooth. Seems that in the plugin code there is a incorrect import.

#2 - 2019-03-09 09:59 PM - Jan Lippmann

| can confirm the issue with QGIS 3.4.5 on Windows Server 2012 R2: 6.3 Build 9600.

When i try to activate my own plugin...qgis crash/close without report. Only a Window Dialog "This Windows version (6.3.9600) does not support the
required Bluetooth API. Consider updating to a more recent Windows (10.0.10586 or above)" do appear.

In my case was the problem:
from PyQt5.Qt import *

After delete this import line, everything works.
https://github.com/enricofer/go2streetview/issues/41

#3 - 2019-03-09 10:59 PM - Jan Lippmann

BTW: The subject of this issue is not optimal...
